n-ary property values cannot contain semicolons
Closed, ResolvedPublic

Description

Author: mail

Description:
N-ary property values cannot contain semicolons because they are interpreted as value dividers by the parser. The documentation doesn't mention an escape character.


Version: unspecified
Severity: normal
URL: http://sandbox.semantic-mediawiki.org/wiki/Test_89024356872

bzimport set Reference to bz15732.
bzimport created this task.Via LegacySep 26 2008, 10:37 AM
mkroetzsch added a comment.Via ConduitOct 2 2008, 9:17 PM

Right, there is none. What do you suggest?

bzimport added a comment.Via ConduitOct 6 2008, 2:25 AM

mail wrote:

I tried '\' because that's what everyone else seems to be using as escape char. There could be a warning that ';' must be escaped when the number of ';' is greater than the number of attributes for that property minus one.

Cavila added a comment.Via ConduitFeb 7 2012, 10:33 PM

Have you tried masking it in html code (&#59;)? That usually does the trick.

mwjames closed this task as "Resolved".Via WebDec 8 2014, 8:50 PM
mwjames added a subscriber: mwjames.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.